/*
 * Function to get positive integer from string (usually a command-line
 * argument) or exit with an error message if string is invalid.
 */
#include <stdio.h>
#include <stdlib.h>

void get_positive_int_or_exit(const char *usage_msg, 
        const char *arg_i, int *val)
{
    char *endp;
    *val = strtol(arg_i, &endp, 10);
    if ((*endp != '\0') || (*val <= 0)) {
        fprintf(stderr, usage_msg);
        exit(EXIT_FAILURE);
    }
}
