/*
 * Functions to save start time (in global variable), get elapsed time.
 */
#include <sys/time.h>

long millis(void);

long start_time;

void init_start_time(void) {
    start_time = millis();
}

long elapsed_time(void) {
    return millis() - start_time;
}

long millis(void) {
    struct timeval tv;
    if (gettimeofday(&tv, NULL) == 0) {
        return (tv.tv_sec * 1000 + tv.tv_usec / 1000);
    } else {
        return -1;
    }
}
